curl --request PUT \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/disrupt \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"regional_disruptor_specifications":[{"azs":["string"],"is_whole_region":true,"pods":["string"],"region_code":"string"}]}'{
"regional_disruptor_specifications": [
{
"is_whole_region": true,
"region_code": "<string>",
"azs": [
"<string>"
],
"pods": [
"<string>"
]
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Update disruption specifications for a cluster
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
curl --request PUT \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/disrupt \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"regional_disruptor_specifications":[{"azs":["string"],"is_whole_region":true,"pods":["string"],"region_code":"string"}]}'{
"regional_disruptor_specifications": [
{
"is_whole_region": true,
"region_code": "<string>",
"azs": [
"<string>"
],
"pods": [
"<string>"
]
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id specifies the cluster for this request.
Body
regional_disruptor_specifications specify how regions are to be disrupted. Any Cluster region that is not specified here will not be disrupted. A cluster region that was previously disrupted but is not listed here will be removed from disruption. To stop all disruptions, set this to an empty list or omit it from the request.
Show child attributes
Show child attributes
Response
A successful response.
regional_disruptor_specifications represents a region that is disrupted. If there are no entries, it means the cluster is not disrupted.
Show child attributes
Show child attributes

